Subject: Re: linux-next: manual merge of the net-next tree with the asm-generic tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 28 Jun 2023 09:37:44 +1000

Hi Arnd,

On Fri, 09 Jun 2023 08:31:19 +0200 "Arnd Bergmann" <[email-masked]> wrote:
>
> On Fri, Jun 9, 2023, at 02:40, Stephen Rothwell wrote:
> >
> > Today's linux-next merge of the net-next tree got a conflict in:
> >
> >   fs/netfs/iterator.c
> >
> > between commit:
> >
> >   ee5971613da3 ("netfs: Pass a pointer to virt_to_page()")
> >
> > from the asm-generic tree and commit:
> >
> >   f5f82cd18732 ("Move netfs_extract_iter_to_sg() to lib/scatterlist.c")
> >
> > from the net-next tree.
> >
> > I fixed it up (I used the file from the former and applied the patch
> > below) and can carry the fix as necessary. This is now fixed as far as
> > linux-next is concerned, but any non trivial conflicts should be mentioned
> > to your upstream maintainer when your tree is submitted for merging.
> > You may also want to consider cooperating with the maintainer of the
> > conflicting tree to minimise any particularly complex conflicts.
> >
> > From: Stephen Rothwell <[email-masked]>
> > Date: Fri, 9 Jun 2023 10:35:56 +1000
> > Subject: [PATCH] fix up for "Move netfs_extract_iter_to_sg() to 
> > lib/scatterlist.c"
> >
> > interacting with "netfs: Pass a pointer to virt_to_page()"
> >
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  lib/scatterlist.c | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> >
> > diff --git a/lib/scatterlist.c b/lib/scatterlist.c
> > index e97d7060329e..e86231a44c3d 100644
> > --- a/lib/scatterlist.c
> > +++ b/lib/scatterlist.c
> > @@ -1237,7 +1237,7 @@ static ssize_t extract_kvec_to_sg(struct iov_iter *iter,
> >  			if (is_vmalloc_or_module_addr((void *)kaddr))
> >  				page = vmalloc_to_page((void *)kaddr);
> >  			else
> > -				page = virt_to_page(kaddr);
> > +				page = virt_to_page((void *)kaddr);
> > 
> >  			sg_set_page(sg, page, len, off);
> >  			sgtable->nents++;  
> 
> The fix is correct, but I think this should just get applied
> in net-next directly, on top of the f5f82cd18732 commit, it
> will have no effect there but avoid the conflict.

This did not happen, so Linus needs to be notified of this merge fix.

-- 
Cheers,
Stephen Rothwell